package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataInput;
import java.io.IOException;
import org.apache.bcel.classfile.ConstantCP;
import org.apache.bcel.classfile.Visitor;

public final class ConstantInvokeDynamic extends ConstantCP {
  public ConstantInvokeDynamic(org.apache.bcel.classfile.ConstantInvokeDynamic c) {
    this(c.getBootstrapMethodAttrIndex(), c.getNameAndTypeIndex());
  }
  
  ConstantInvokeDynamic(DataInput file) throws IOException {
    this(file.readShort(), file.readShort());
  }
  
  public ConstantInvokeDynamic(int bootstrapMethodAttrIndex, int nameAndTypeIndex) {
    super((byte)18, bootstrapMethodAttrIndex, nameAndTypeIndex);
  }
  
  public void accept(Visitor v) {
    v.visitConstantInvokeDynamic(this);
  }
  
  public int getBootstrapMethodAttrIndex() {
    return getClassIndex();
  }
  
  public String toString() {
    return super.toString().replace("class_index", "bootstrap_method_attr_index");
  }
}
